<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>ApPHP File Uploader</title>
    <?php
    ## +---------------------------------------------------------------------------+
    ## | 1. Including FileUploader class:                                          |
    ## +---------------------------------------------------------------------------+
    ## *** define a relative (virtual) path to fileuploader.class.php file
    // define ('UPLOADER_DIR', '');                  /* Ex.: 'uploader/' */
    ## *** include FileUploader class
    // require_once(UPLOADER_DIR.'fileuploader.class.php');
    ## *** include CSS and JS files
    ## *** (the step is optional - when skipped the files will be included on object creation then)
    /// FileUploader::IncludeJsAndCssFiles();
    ?>
</head>
<body>
<?php
    ## +---------------------------------------------------------------------------+
    ## | 2. Creating FileUploader object:                                          |
    ## +---------------------------------------------------------------------------+
    ## *** create FileUploader object
    // $fileUploader = new FileUploader();

    ## +---------------------------------------------------------------------------+
    ## | 3. General Settings:                                                      |
    ## +---------------------------------------------------------------------------+
    ## *** show debug info - false|true
    /// $fileUploader->Debug(true);
    ## *** set unique numeric (integer-valued) identifier for FileUploader
    ## *** (if you want to use several independently configured FileUploader objects on single page)
    /// $fileUploader->SetId(345);
    ##  *** set style for Uploader
    ##  *** 'dark', 'light', 'simple' or your own style
    /// $fileUploader->SetStyle('light');
    ## *** show progress - false|true (PECL UploadProgress extension must be installed first)
    /// $fileUploader->ShowProgress(true);
    ## *** set folder where uploaded files are moved to
    // $fileUploader->SetFolder('uploaded/');

    ## +---------------------------------------------------------------------------+
    ## | 4. Uploading Settings:                                                    |
    ## +---------------------------------------------------------------------------+
    ## *** start file uploading immediately after it was added - false|true
    /// $fileUploader->LoadFilesOnSelect(false);
    ## *** create the destination folder automatically if it doesn't exist - false|true
    /// $fileUploader->CreateFolderIfNeeded(false);
    ## *** allow delete files after upload - false|true
	/// $fileUploader->AllowDeleteFiles(false);
	## *** display file size after upload - false|true
	/// $fileUploader->ShowFileSizeAfterUpload(true);
	## *** overwrite existing files - false|true
	/// $fileUploader->OverwriteFiles(true);
	## *** add a hidden field to the form being submitted
	## Example: $fileUploader->AddHiddenField('key','value');
	/// $fileUploader->AddHiddenField('director','Gilliam');

    ## +---------------------------------------------------------------------------+
    ## | 5. Display Settings:                                                      |
    ## +---------------------------------------------------------------------------+
    ## *** show file icons
    /// $fileUploader->ShowIcons(true);
    ## *** show clickable images (true) or buttons (false) for 'upload' and 'remove' commands
    /// $fileUploader->UseYesNoPictures(true);
    ## *** show 'Upload all' button
    /// $fileUploader->ShowUploadAllButton(true);
    ## *** show 'Clear all' button
    /// $fileUploader->ShowClearAllButton(true);

    ## +---------------------------------------------------------------------------+
    ## | 6. Set filters:                                                           |
    ## +---------------------------------------------------------------------------+
    ## *** set allowed extensions for uploaded files
    /// $fileUploader->AddAllowedExtension(array('txt','gif','zip'));
    ## *** set maximum allowed size for uploaded files
    /// $fileUploader->SetMaxSize('200mb');
    ## *** set the maximum number of files that the user is allowed to upload simultaneously
    // $fileUploader->SetNumberOfFiles(6);

    ## +---------------------------------------------------------------------------+
    ## | 7. Naming rules:                                                          |
    ## +---------------------------------------------------------------------------+
    ## *** uploaded files are given random generated names - true|false
    /// $fileUploader->UseRandomNames(false);
    ## *** set prefix which will be added to uploaded files' names
    /// $fileUploader->UsePrefix('textbefore_');
    ## *** set postfix which will be added to uploaded files' names
    /// $fileUploader->UsePostfix('_textafter');
    ## *** add suffixes like {1},{2} when file names are identical
    /// $fileUploader->UseSuffixes(true);

    ## +---------------------------------------------------------------------------+
    ## | 8. Display FileUploader:                                                  |
    ## +---------------------------------------------------------------------------+
    // $fileUploader->Display();

?>
</body>
</html>