function formatString(string)
{
    for(i=0;i<arguments.length-1;i++)
        string = string.replace('{'+i+'}', arguments[i+1]);
    return string;
}
function getElementsByName_iefix(tag, name)
{
   var elem = document.getElementsByTagName(tag);
   var arr = new Array();
   for(i = 0,iarr = 0; i < elem.length; i++) {
      att = elem[i].getAttribute('name');
      if(att == name) {
         arr[iarr] = elem[i];
         iarr++;
      }
   }
   return arr;
}
function jFileUploader(string, parentid, childid, subchildid)
{
    if(arguments.length == 2)
        return document.getElementById(string + parentid);
    else if(arguments.length == 3)
        return document.getElementById(string + parentid + '-' + childid);
    else return document.getElementById(string + parentid + '-' + childid + '-' + subchildid);
}
var currentRequest;
window.onload = function () {
//attachScript('jqueryScript','js/jquery-1.4.2.min.js');
//attachScript('jqueryFormScript','js/jquery.form.js');
//attachCSS('mainCSS','styles/common.css');
        jQuery('.uploader_imagecontainer').mouseover(function() {  

                img = this.getElementsByTagName('img')[0];
                var src = jQuery(img).attr('src').replace('_regular', '_hover');
                jQuery(img).attr('src', src); 
        }) 
        jQuery('.uploader_imagecontainer').mouseout(function() { 
                img = this.getElementsByTagName('img')[0];
                var src = jQuery(img).attr('src').replace('_hover', '_regular');
                src = src.replace('_click','_regular');
                jQuery(img).attr('src', src); 
        }); 
        jQuery('.uploader_imagecontainer').mousedown(function() { 
            img = this.getElementsByTagName('img')[0];
            var src = jQuery(img).attr('src').replace('_hover', '_click'); 
            jQuery(img).attr('src', src); 
        });
        jQuery('.uploader_imagecontainer').mouseup(function() { 
            img = this.getElementsByTagName('img')[0];
             var src = jQuery(img).attr('src').replace('_click', '_regular'); 
            jQuery(img).attr('src', src); 
        });
        
        
        
        
        jQuery('input.file').mouseover(function() {  
            var name = jQuery(this).attr('name');
            var parentid = name.match(/[1-9]+/);
            var src = jQuery('#addimagebutton'+parentid).attr('src').replace('_regular','_hover'); 
            
            jQuery('#addimagebutton'+parentid).attr('src', src); 
        }) 
        jQuery('input.file').mouseout(function() { 
            var name = jQuery(this).attr('name');
            var parentid = name.match(/[1-9]+/);
            var src = jQuery('#addimagebutton'+parentid).attr('src').replace('_hover', '_regular');
            src = src.replace('_click','_regular');
            jQuery('#addimagebutton'+parentid).attr('src', src); 
        }); 
        jQuery('input.file').mousedown(function() { 
            var name = jQuery(this).attr('name');
            var parentid = name.match(/[1-9]+/);
            var src = jQuery('#addimagebutton'+parentid).attr('src').replace('_hover', '_click'); 
            jQuery('#addimagebutton'+parentid).attr('src', src); 
        });
        jQuery('input.file').mouseup(function() { 
            var name = jQuery(this).attr('name');
            var parentid = name.match(/[1-9]+/);
            var src = jQuery('#addimagebutton'+parentid).attr('src').replace('_click', '_regular'); 
            jQuery('#addimagebutton'+parentid).attr('src', src); 
        });


window.UP = function() {

    /* private variables */

    var startTime = new Object();
    var ifr= new Object();
    var infoUpdated = new Object();
    return {
        start: function(id,controlid,index) {
           startTime[controlid+'-'+index] = new Date();
           infoUpdated[controlid+'-'+index] = 0;          
           if(jFileUploader('showDebugInfo',controlid).value==1)
              jFileUploader('ifr',controlid).style.display = '';   
           window.UP.requestInfo(id,controlid,index);
           if(jFileUploader('progressstatus',controlid,index)!=null)
              jFileUploader('progressstatus',controlid,index).innerHTML = '';
        },
        stop: function(files,controlid,index,cancelled) {
           if(jFileUploader('statuses',controlid,index).value != 'started')
           {
              return;
           }
           jFileUploader('ifr',controlid).style.display = 'none';
           if (typeof files == 'undefined' || files)
           {
                var secs = (new Date() - startTime[controlid+'-'+index])/1000;               
                var percent = 0;
                jFileUploader('statuses',controlid,index).value = 'stopped';
                for(k=0;k<jFileUploader('numFiles',controlid,index).value;k++)
                {
                    jFileUploader('leftcolumn',controlid,index,k).style.width=percent+'%';
                    jFileUploader('rightcolumn',controlid,index,k).style.width=(100-percent)+'%';
                    jFileUploader('status',controlid,index,k).innerHTML = percent + '%';
                }
                if(!cancelled)
                {  
                    var statusText = 'File' + index + '<br/>Upload succeeded, it took ' + secs + ' seconds. <br/> ';
                    if (infoUpdated[controlid+'-'+index] > 0)
                    {
                        writeStatus(statusText + 'You had ' + infoUpdated[controlid+'-'+index] + ' updates from the progress meter, looks like it\'s working fine',1, jFileUploader('progressstatus',controlid,index));
                    }
                    else
                    {
                        
                        statusText += 'BUT there were no progress meter updates<br/> ';
                        if (secs < 5)
                        {
                           writeStatus(statusText + 'Your upload was maybe too short, try with a bigger file or a slower connection',2, jFileUploader('progressstatus',controlid,index));
                        }
                        else
                        {
                            writeStatus(statusText + 'Your upload should have taken long enough to have an progress update. Maybe it really does not work...',3, jFileUploader('progressstatus',controlid,index));
                        }
                    }
                }
                else
                {
                   writeStatus('File' + index + '<br/>Upload cancelled, it took ' + secs + ' seconds. <br/> ',3, jFileUploader('progressstatus',controlid,index));
                }
           }
           else
           {
               
               writeStatus('File' + index + '<br/>PHP did not report any uploaded file, maybe it was too large, try a smaller one',3, jFileUploader('progressstatus',controlid,index));
           }
           startTime[controlid+'-'+index] = null;
        },
        requestInfo: function(id,controlid,index) {
            if(jFileUploader('statuses',controlid,index).value!='stopped')
            {
                jFileUploader('ifr',controlid).src=jFileUploader('path',controlid).value+'lib/upload_progress.php?id='+id+'&index='+index+'&controlid='+controlid+'&seconds='+(new Date()-startTime[controlid+'-'+index])/1000;
            }
        },

        updateInfo: function(id,controlid,index,uploaded, total, estimatedSeconds) {
            if (startTime[controlid+'-'+index] != null) {
                if (uploaded) {
                    infoUpdated[controlid+'-'+index]++;
                    var upload_max_filesize = document.getElementById('sizebytes'+controlid).value;
                    var percent = Math.max(Math.floor(uploaded / total * 100),1);
                    for(k=0;k<jFileUploader('numFiles',controlid,index).value;k++)
                    {
                        jFileUploader('leftcolumn',controlid,index,k).style.width=percent+'%';
                        jFileUploader('rightcolumn',controlid,index,k).style.width=(100-percent)+'%';
                        jFileUploader('status',controlid,index,k).innerHTML = percent + '%';
                    }
                    if (total > document.getElementById('sizebytes'+controlid).value)
                    {                       
                        for(k=0;k<jFileUploader('numFiles',controlid,index).value;k++)
                        {
                            writeStatus('File' + index + '<br/>The file is too large and won\'t be available for PHP after the upload<br/> Your file size is ' + total + ' bytes. Allowed is ' + upload_max_filesize + ' bytes. That\'s ' + Math.round (total / upload_max_filesize * 100) + '% too large<br/> Download started since ' + (new Date() - startTime[controlid+'-'+index])/1000 + ' seconds. ' + Math.floor(uploaded / total * 100) + '% done, ' + estimatedSeconds + '  seconds to go',2, jFileUploader('progressstatus',controlid,index));
                            jFileUploader('output',controlid,index,k).style.color = '#FF0000';    
                            jFileUploader('output',controlid,index,k).innerHTML = 'The file is too large';        
                        }
                        __uploader_toStoppedState(controlid, index);
                        return;
                    }
                        
                }
                window.setTimeout('UP.requestInfo("'+id+'","'+controlid+'","'+index+'")',1000);
            }
        }


    }

}()
}
function attachScript(id, src){  

    var element = document.createElement('script')  ;
    element.type = 'text/javascript' ;
    element.src = src  ;
    element.id = id  ;
    document.getElementsByTagName('head')[0].appendChild(element) ; 
} 
function attachCSS(id, src){  

    var element = document.createElement('link')  ;
    element.type = 'text/css' ;
    element.href = src ;
    element.rel = 'stylesheet'  ;
    element.id = id  ;
    document.getElementsByTagName('head')[0].appendChild(element) ; 
} 
function writeStatus(text,color,statDiv) {
    
        if(statDiv == null)
        {
            return;
        }
        if (color == 1 ) {
            statDiv.style.color = 'green';
        } else if (color == 2 ) {
            statDiv.style.color = 'orange';
        } else if (color == 3 ) {
            statDiv.style.color = 'red';
        } else {
            statDiv.style.color = 'black';
        }
        statDiv.innerHTML = text;
    }
function onselectfile(controlid) {
    var index = jFileUploader('index',controlid).value;
	var numfiles = jFileUploader('numfiles',controlid).value;
    var filevalue = jFileUploader('file',controlid,index).value;
    var filename = filevalue.substr(filevalue.lastIndexOf('\\') + 1);
    var files = jFileUploader('file',controlid,index).files;
    if(files!=null)
    {
        names = Array(files.length);
        for(i=0;i<files.length;i++)
            names[i] = files[i].name;
    }
    else {names = Array(1);names[0]=filename;}
    for(k=0;k<names.length;k++)
    {
    var extension = '';
    if(names[k].lastIndexOf('.') != - 1)
        extension = names[k].substr(names[k].lastIndexOf('.') + 1).toLowerCase();
    var extensions=jFileUploader('extensions',controlid).value.toLowerCase();
    // VALIDATING THE EXTENSION
    if(extensions.length>1 && extensions.lastIndexOf('|'+extension+'|')==-1)
    {
        var ext = extensions.split('|');
        var message = '';
        for(i=0;i<ext.length;i++)
        {
            if(ext[i]!='')
            {
                message += ' *.' + ext[i];
                if(i<ext.length - 1 && ext[i+1]!='')
                    message += ',';
            } 
        }
        message = formatString(UploaderVocabulary._MSG['Extensions_Message'], message);
        alert(message);
        __uploader_reset(controlid,index);
        return;
    }    
    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    if(fileinputs.length==0) fileinputs=getElementsByName_iefix('form', '__uploaderForm' + controlid);
    // VALIDATING DUPLICATES
    for(j=0;j<fileinputs.length - 1;j++)
    {
        var childNode = fileinputs[j];
        var id = childNode.id.substring(childNode.id.lastIndexOf('-') + 1);
        if(filevalue == jFileUploader('file',controlid,id).value)
        {
            alert(UploaderVocabulary._MSG['Duplicate_Message']);
            __uploader_reset(controlid,index);
            return;
        }
    }
    var maxSizeBytes = jFileUploader('sizebytes',controlid).value;
    var maxSize = jFileUploader('size',controlid).value;
    var checked = false;
    if(jFileUploader('file',controlid,index).files != null)
    {
        var file = jFileUploader('file',controlid,index).files[0];
        if (file.fileSize)
           thisFileSize = file.fileSize;
        else thisFileSize = file.size;
        if(thisFileSize != undefined)
        {
            if(thisFileSize > maxSizeBytes)
            {
                alert(formatString(UploaderVocabulary._MSG['Size_Message'],__uploader_convert(thisFileSize, maxSize),maxSize));
                __uploader_reset(controlid,index);
                return;
            }
            checked = true;
        }
    }
    // VALIDATING SIZE (2)
    if (!checked)
    {
        try
        {
            var myFSO = new ActiveXObject('Scripting.FileSystemObject');
	        var thefile = myFSO.getFile(filevalue);
	        var thisFileSize = thefile.size;
            if(thisFileSize > maxSizeBytes)
            {
                alert(formatString(UploaderVocabulary._MSG['Size_Message'],__uploader_convert(thisFileSize, maxSize),maxSize));
                __uploader_reset(controlid,index);
                return;
            }
        }
        catch(e)
        {
        }
    }
    }
    index = jFileUploader('index',controlid).value;
    jFileUploader('file',controlid,index).style.display = 'none';
    jFileUploader('index',controlid).value = parseInt(index) + 1;
    if(fileinputs.length >= jFileUploader('numfiles',controlid).value)
    {
        __uploader_disableaddbutton(controlid);
    }   
    jQuery.post(jFileUploader('path',controlid).value + 'lib/display_row.php', {
            id: controlid,
            path: jFileUploader('path',controlid).value,
            style: jFileUploader('style',controlid).value,
            showingProgress: jFileUploader('showProgress',controlid).value,
            showingIcons: jFileUploader('showIcons',controlid).value,
            usingYesNoPictures: jFileUploader('useYesNoPictures',controlid).value,
            index: index,
            filename: names
        },
        function (data) {
            var table = jFileUploader('uploadertable',controlid);
            var new_row = table.insertRow(table.rows.length);
            var index = jFileUploader('index',controlid).value;
            new_row.id = 'row' + (parseInt(index) - 1);
            data = data.replace('Upload_LinkText', UploaderVocabulary._MSG['Upload_LinkText']);
            data = data.replace('Remove_LinkText', UploaderVocabulary._MSG['Remove_LinkText']);
            new_row.insertCell(0).innerHTML = data;
            new_row.className = 'row';
            __uploader_toInitializedState(controlid, parseInt(index)-1);
            if(jFileUploader('loadFilesOnSelect',controlid).value == 1)
                __uploader_load(controlid, parseInt(index)-1);
        });
    jQuery.post(jFileUploader('path',controlid).value + 'lib/display_form.php', {
            id: controlid,
            path: jFileUploader('path',controlid).value,
            allowedExtensions: jFileUploader('extensions',controlid).value,
            size: maxSizeBytes,
            folder: jFileUploader('folder',controlid).value,
            usingSuffixes: jFileUploader('useSuffixes',controlid).value,
            usingRandomNames: jFileUploader('useRandomNames',controlid).value,
            overwritingFiles: jFileUploader('overwriteFiles',controlid).value,
            prefix: jFileUploader('prefix',controlid).value,
            postfix: jFileUploader('postfix',controlid).value,
            index: parseInt(index) + 1,
            display: '',
            style: jFileUploader('style',controlid).value,
            httpVarsKeys: jFileUploader('httpVarsKeys',controlid).value,
            httpVarsValues: jFileUploader('httpVarsValues',controlid).value,
            enabled: fileinputs.length >= jFileUploader('numfiles',controlid).value ? false : true
        },    
            function (data) {
              var form = document.createElement('form');
              var index = jFileUploader('index',controlid).value;
              var path = jFileUploader('path',controlid).value;
              form.id = 'form' + controlid + '-' + index;
              form.name = '__uploaderForm' + controlid;
              form.action = path + 'lib/upload_result.php';
              form.enctype = 'multipart/form-data';
              form.method = 'post';
            
              form.innerHTML = data;
              document.getElementById('uploader_forms' + controlid).appendChild(form);
              var index = parseInt(jFileUploader('index',controlid).value) - 1;
            });
}
function __uploader_convert(thisFileSize, maxSize)
{
    if(maxSize.substring(maxSize.length-2)=='kb'||maxSize.substring(maxSize.length-1)=='k')
    {
        return Math.round(thisFileSize / 1024.0 * 100) / 100 + 'kb';
    }
    //if(maxSize.substring(maxSize.length-2)=='mb'||maxSize.substring(maxSize.length-1)=='m')
    //{
        return Math.round(thisFileSize / 1024.0 / 1024.0 * 100) / 100 + 'mb';
    //}
    //return thisFileSize;
}
function __uploader_disableaddbutton(controlid)
{
    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    var style = jFileUploader('style',controlid).value;
    if(style == 'simple')
        jFileUploader('addimagebutton',controlid).disabled = 'disabled';
    else jFileUploader('addimagediv',controlid).className = 'uploader_imagecontainer_disabled';
    var limit_message = jFileUploader('message',controlid);
    limit_message.style.display = '';
    if(limit_message.innerHTML == '')
    {
       var numfiles = jFileUploader('numfiles',controlid).value;
       limit_message.innerHTML = formatString(UploaderVocabulary._MSG['Limit_Message'], numfiles);
    }
    fileinputs[fileinputs.length - 1].style.cursor = 'default';
}
function __uploader_enableaddbutton(controlid)
{
    var numfiles = jFileUploader('numfiles',controlid).value;
    var style = jFileUploader('style',controlid).value;
    var index = jFileUploader('index',controlid).value;
    var fileinputs = document.getElementById('uploader_forms' + controlid);
    jFileUploader('file',controlid,index).disabled = '';
    if(style == 'simple')
        jFileUploader('addimagebutton',controlid).disabled = '';
    else jFileUploader('addimagediv',controlid).className = 'uploader_imagecontainer';
    jFileUploader('message',controlid).style.display = 'none';
}
function __uploader_clearall(controlid)
{
    __uploader_enableaddbutton(controlid);
    var table = jFileUploader('uploadertable',controlid);
    for(var i = table.rows.length; i > 0;i--)
    {
        table.deleteRow(i -1);
    }

    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    if(fileinputs.length==0) fileinputs=getElementsByName_iefix('form', '__uploaderForm' + controlid);
    for(j=fileinputs.length - 1;j > 0;j--)
    {
        document.getElementById('uploader_forms' + controlid).removeChild(fileinputs[j-1]);
    }
}
function __uploader_uploadall(controlid)
{
    var started = false;
    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    if(fileinputs.length==0) fileinputs=getElementsByName_iefix('form', '__uploaderForm' + controlid);
    for(j=0;j<fileinputs.length - 1;j++)
    {
        var childNode = fileinputs[j];
        var id = childNode.id.substring(childNode.id.lastIndexOf('-') + 1);
        if(jFileUploader('statuses',controlid,id).value=='initialized')
        {
            __uploader_toWaitingState(controlid,id);
            if(started == false)
            {
                started = true;
                __uploader_load(controlid, id);                
            }
        }   
    }     
}
function __uploader_toInitializedState(controlid,i)
{
    jFileUploader('uploadlink',controlid,i).style.display = '';     
    var removelink = jFileUploader('removelink',controlid,i);
    removelink.style.display = '';
    if(removelink.tagName.toLowerCase()=='a')
        removelink.innerHTML = UploaderVocabulary._MSG['Remove_LinkText'];
    if(jFileUploader('showProgress',controlid).value == 1)
    {
        for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
        {
            jFileUploader('progresstable',controlid,i,k).style.display = 'none';
            jFileUploader('status',controlid,i,k).style.display = 'none';    
        }
    }
    jFileUploader('statuses',controlid,i).value='initialized';
}
function __uploader_toWaitingState(controlid,i)
{
    jFileUploader('uploadlink',controlid,i).style.display = 'none';
    if(jFileUploader('removelink',controlid,i).tagName.toLowerCase()=='a')
        jFileUploader('removelink',controlid,i).innerHTML = UploaderVocabulary._MSG['Cancel_LinkText'];
    if(jFileUploader('showProgress',controlid).value == 1)
    {
        for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
        {
            jFileUploader('progresstable',controlid,i,k).style.display = '';
            jFileUploader('status',controlid,i,k).style.display = '';   
            jFileUploader('output',controlid,i,k).innerHTML=''; 
        }
    }
    jFileUploader('statuses',controlid,i).value='waiting';
    
}
function __uploader_toStoppedState(controlid,index)
{
    currentRequest.abort();
    if(jFileUploader('showProgress',controlid).value == 1)
    {
        for(k=0;k<jFileUploader('numFiles',controlid,index).value;k++)
        {
            jFileUploader('progresstable',controlid,index,k).style.display = 'none';
            jFileUploader('status',controlid,index,k).style.display = 'none';    
        }
    }
    jFileUploader('statuses',controlid,index).value = 'stopped';
    jFileUploader('uploading',controlid).value = 0;                        
    __uploader_startNewUpload(controlid);
}
function __uploader_toCompletedState(controlid,i)
{
    var uploadlink = jFileUploader('uploadlink',controlid,i)
    uploadlink.style.display = '';
    if(uploadlink.tagName.toLowerCase()=='a')
        uploadlink.innerHTML = UploaderVocabulary._MSG['OK_LinkText'];
    else uploadlink.src = uploadlink.src.replace('up.gif','yes.gif'); 
    var removelink = jFileUploader('removelink',controlid,i);
    if(jFileUploader('deleteFilesAllowed',controlid).value == 1)
    {
        removelink.style.display = '';
        if(removelink.tagName.toLowerCase()=='a')
            removelink.innerHTML = UploaderVocabulary._MSG['Remove_LinkText'];
    }
    else removelink.style.display = 'none';
    var uploadlink = jFileUploader('removelink',controlid,i);
    if(jFileUploader('showProgress',controlid).value == 1)
    {
        for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
        {
            jFileUploader('progresstable',controlid,i,k).style.display = 'none';
            jFileUploader('status',controlid,i,k).style.display = 'none'; 
        }
    }
    jFileUploader('statuses',controlid,i).value='completed';
}
function __uploader_reset(controlid,i)
{
    jFileUploader('form',controlid,i).reset();
}
function __uploader_cancel(controlid, i)
{
   var status = jFileUploader('statuses',controlid,i).value;
   if(status == 'started')
   {
        currentRequest.abort();
        if(jFileUploader('showProgress',controlid).value == 1)
            window.UP.stop(true,controlid,i,true);
        jFileUploader('uploading',controlid).value = 0;
        __uploader_startNewUpload(controlid)
   }
   if(status == 'waiting' || status == 'started')
   {
        for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
        {
            jFileUploader('output',controlid,i,k).style.color = '#FF0000';    
            jFileUploader('output',controlid,i,k).innerHTML = 'Upload cancelled'; 
        }
        __uploader_toInitializedState(controlid,i);
   }
   else if(status == 'completed')
   { 
        for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
        {
            uploader_unlink(jFileUploader('uploadfolder',controlid).value + jFileUploader('filenamevalue',controlid,i,k).innerHTML,controlid);
        }
        __uploader_hiderow(controlid,i);
   }
   else if(status == 'initialized' || status == 'stopped')
   {
        __uploader_hiderow(controlid,i);
   }
   /*if(jFileUploader('showProgress'+controlid).value == 1)
   {
        writeStatus('File' + i + '<br/>Upload cancelled',2, jFileUploader('progressstatus'+controlid+'-'+i));                            
        window.UP.stop(true,controlid,i,true);
        return;
   }*/
}

function __uploader_hiderow(controlid,i)
{
    var table = jFileUploader('uploadertable',controlid);   
    for(j = 0;j<table.rows.length;j++)
    {
        if(table.rows[j].id == 'row' + i)
            table.deleteRow(j);
    }
    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    if(fileinputs.length==0) fileinputs=getElementsByName_iefix('form', '__uploaderForm' + controlid);
    for(j=0;j<fileinputs.length;j++)
    {
        if(fileinputs[j].id == 'form' + controlid +'-' + i)
            document.getElementById('uploader_forms' + controlid).removeChild(fileinputs[j]);
    }
    __uploader_enableaddbutton(controlid);
}
function __uploader_load(controlid, i)
{   
    var status = jFileUploader('statuses',controlid,i).value;
    if(/*status == 'initialized' ||*/ status == 'completed' || status == 'stopped')
    { 
        __uploader_hiderow(controlid,i);
    }
    else
    {
        __uploader_toWaitingState(controlid,i);
        if(jFileUploader('uploading',controlid).value == 0)
        {
            var options = { 	
                beforeSubmit: __uploader_showRequest, 
                success: __uploader_showResponse,
                beforeSend: __uploader_beforeSend
            };  
            jFileUploader('uploading',controlid).value = 1;
            if(jFileUploader('removelink',controlid,i).tagName.toLowerCase()=='a')
                jFileUploader('removelink',controlid,i).innerHTML = UploaderVocabulary._MSG['Cancel_LinkText'];
            jQuery('#form'+controlid+'-'+i).ajaxSubmit(options);
            jFileUploader('statuses',controlid,i).value = 'started';
            if(jFileUploader('showProgress',controlid).value == 1)
            {           
                window.UP.start(jFileUploader('identifier',controlid,i).value,controlid,i);
            }
            else
            {
                for(k=0;k<jFileUploader('numFiles',controlid,i).value;k++)
                {
                    jFileUploader('output',controlid,i,k).innerHTML = '<img class="uploader_gif" alt="" src="'+jFileUploader('path',controlid).value+'styles/ajax_loading.gif" />';
                }
                
            }
        }
   
   }
}
function __uploader_beforeSend(request, settings) {
    try
    {
        var reg=/controlid=(.*?)&/i;
        controlid=reg.exec(settings['data'])[1];
        request['controlid']=controlid;
        reg=/index=(.*?)&/i;
        index=reg.exec(settings['data'])[1];
        request['index']=index;
    }
    catch(e)
    {
    }


    currentRequest = request;
}
function __uploader_showRequest(formData, jqForm, options) {
    var queryString = jQuery.param(formData);
    return true;
}
Array.prototype.clean = function(deleteValue) {
  for (var i = 0; i < this.length; i++) {
    if (this[i] == deleteValue) {         
      this.splice(i, 1);
      i--;
    }
  }
  return this;
};
function __uploader_showResponse(responseText, statusText)  {
    var body = '';
    if (responseText.indexOf('<body>')!=-1)
    {
        var reg=/<body>\$(.*)\$\s*\</i;
        body=reg.exec(responseText)[1];
    }
    else body = responseText;
    var firstsplit = body.split('$').clean('');
    controlid = '';
    index = '';
    var splitted = firstsplit[0].split('*').clean('');
    if(splitted.length >= 2)
    {   
        controlid = splitted[0];
        index = splitted[1];
    }
    else
    {
        controlid = currentRequest['controlid'];
        index = currentRequest['index'];
    }
    if(jFileUploader('showProgress',controlid).value == 1)
    {              
        if(splitted[2]==1)
            window.UP.stop(true,controlid,index,false);
        else window.UP.stop(false,controlid,index,false);
    }
    __uploader_toCompletedState(controlid,index);
    for(k=0;k<firstsplit.length-1;k++)
    {
        var splitted = firstsplit[k+1].split('*');
        if(splitted[1]=='Success')
        {
            jFileUploader('output',controlid,index,k).style.color = '#008000';
            //jFileUploader('name',controlid,index,k).value = jFileUploader('folder',controlid).value+'/'+splitted[1];
        }
        else jFileUploader('output',controlid,index,k).style.color = '#FF0000';
        var result =  splitted[3];
        result = result.replace( 'UPLOAD_ERR_INI_SIZE',UploaderVocabulary._MSG['UPLOAD_ERR_INI_SIZE']);
        result = result.replace( 'UPLOAD_ERR_FORM_SIZE',UploaderVocabulary._MSG['UPLOAD_ERR_FORM_SIZE']);
        result = result.replace( 'UPLOAD_ERR_PARTIAL',UploaderVocabulary._MSG['UPLOAD_ERR_PARTIAL']);
        result = result.replace('UPLOAD_ERR_NO_FILE',UploaderVocabulary._MSG['UPLOAD_ERR_NO_FILE']);
        result = result.replace( 'UPLOAD_ERR_NO_TMP_DIR',UploaderVocabulary._MSG['UPLOAD_ERR_NO_TMP_DIR']);
        result = result.replace( 'UPLOAD_ERR_CANT_WRITE',UploaderVocabulary._MSG['UPLOAD_ERR_CANT_WRITE']);
        result = result.replace( 'UPLOAD_ERR_EXTENSION',UploaderVocabulary._MSG['UPLOAD_ERR_EXTENSION']);
        result = result.replace( 'UPLOAD_DEFAULT_ERR',UploaderVocabulary._MSG['UPLOAD_DEFAULT_ERR']);
        result = result.replace( 'AlreadyExists_Message',UploaderVocabulary._MSG['DuplicateUploaded_Message']);
        result = result.replace( 'UploadSuccess_Message',UploaderVocabulary._MSG['UploadSuccess_Message']);
        result = result.replace( 'MovingFailed_Message',UploaderVocabulary._MSG['MovingFailed_Message']);
        result = result.replace( 'TooBig_Message',UploaderVocabulary._MSG['TooBig_Message']);
        result = result.replace( 'BadExtension_Message',UploaderVocabulary._MSG['BadExtension_Message']);
        result = result.replace('NoReportedFile_Message',UploaderVocabulary._MSG['NoReportedFile_Message']);
        jFileUploader('output',controlid,index,k).innerHTML = result;
        var name = splitted[0];
        jFileUploader('filenamevalue', controlid,index,k).innerHTML = name;
        if(jFileUploader('showFileSizeAfterUpload',controlid).value == 1)
        {
            var size = splitted[2];
            var maxSize = jFileUploader('size',controlid).value;
            jFileUploader('filename', controlid, index,k).innerHTML = jFileUploader('filename', controlid, index,k).innerHTML + ' ('+__uploader_convert(size,maxSize)+')';
        }
        
    }
    jFileUploader('uploading',controlid).value = 0;
    __uploader_startNewUpload(controlid);
        reloadfiles(controlid);
}
function __uploader_startNewUpload(controlid)
{   
    var started = false;
    var fileinputs=document.getElementsByName('__uploaderForm' + controlid);
    if(fileinputs.length==0) fileinputs=getElementsByName_iefix('form', '__uploaderForm' + controlid);
    for(j=0;j<fileinputs.length-1;j++)
    {
        var childNode = fileinputs[j];
        var id = childNode.id.substring(childNode.id.lastIndexOf('-') + 1);
        if(jFileUploader('statuses',controlid,id).value=='waiting')
        {
            __uploader_load(controlid, id);
            break;
        }
    }
}
function reloadfiles(controlid)
{
    if(jFileUploader('uploader_viewer',controlid) != null)
    {
        var random = new Date().getHours() + ':' + new Date().getMinutes() + ':' + new Date().getSeconds();
        jFileUploader('uploader_viewer',controlid).innerHTML = '';
        jQuery.post(jFileUploader('path',controlid).value+'lib/upload_readfiles.php',
        {
            controlid: controlid,
            folder: jFileUploader('uploadfolder',controlid).value,
            numViewerColumns: jFileUploader('numViewerColumns',controlid).value,
            imageSource: jFileUploader('path',controlid).value+'styles/no.gif',
            random:random,
            maxNumFiles: jFileUploader('maxNumFiles',controlid).value}, 
            function (data) {
                data = data.replace(/FileName_ColumnHeader/g,UploaderVocabulary._MSG['FileName_ColumnHeader']);
                jFileUploader('uploader_viewer',controlid).innerHTML = data;
            });
    }
}
function uploader_unlink(file,controlid)
{
    var random = new Date().getHours() + ':' + new Date().getMinutes() + ':' + new Date().getSeconds();
    jQuery.post(jFileUploader('path',controlid).value+'lib/upload_unlink.php',
        {
            file: file,
            random: random,
            id: controlid
        },
          function (data) {
              if (data != '')
                alert(data);
              else reloadfiles(controlid);
         });
}
